Bug 1298210 - Can't suspend computer once, I must suspend twice to actually suspend it
Can't suspend computer once, I must suspend twice to actually suspend it
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-13 09:02 EST by LiuYan
Modified: 2017-04-11 13:49 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 522998 None None None 2017-02-08 14:14 EST

  None (edit)
Description LiuYan 2016-01-13 09:02:50 EST
Description of problem:
This issue occurred from kernel-4.0.x in Fedora 22 (maybe from 4.0.x in Fedora 21, I can't recall exactly), and it's fixed in kernel-4.1.4.fc22. After upgraded to Fedora 23, this issue occurred again.

If the computer is rebooted, then, the first suspend operation will succeeded. After that, I must suspend twice to actually suspend it.


Version-Release number of selected component (if applicable):


How reproducible:
Most times

Steps to Reproduce:
1. Press Fn + F1(zzz), or issue `pm-suspend` command

Actual results:
The screen is off, speaker produces some noise (sounds like it's power is off),
but then screen is on immediately (occasionally, screen will stay off, then I need to press power button to turn screen on),
and GUI stays in screen-been-locked interface (screensaver?) of desktop manager.

Expected results:
Computer suspended.

Additional info:
Comment 1 Laura Abbott 2016-09-23 15:56:27 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 2 LiuYan 2016-09-24 09:42:34 EDT
I had upgraded to Fedora 24. This issue still exists on my laptop.

The model of my laptop is [ASUS TX300CA]( http://www.asus.com/us/supportonly/TX300CA/HelpDesk_Manual/ ), it's a laptop & tablet 2 in 1 product.

So, the motherboard & SSD & WiFi & Bluetooth are on the screen side, the HDD & second speaker are on the keyboard side. Before suspend, I will umount the HDD to prevent filesystem error.

The HDD may use USB to connect to motherboard, at first, I suspected it's the USB stuff (software or hardware) may not working well. But now I'm not sure about it, because both Windows and Android-x86 can't boot now, I need to figure out what's going on with Windows and Android-x86.
Comment 3 Côme David 2016-12-28 05:39:48 EST
Same bug in fedora 25 with kernel 4.8.15-300.fc25.x86_64 on a Asus laptop G751JT. It works fine the first time after a (re)boot and I need to suspend it twice otherwise. Is there any particular log I can attach ?
Comment 4 LiuYan 2016-12-28 12:14:25 EST
Yes, issue still existed in Fedora 25.
Comment 5 Laura Abbott 2017-01-16 20:25:36 EST
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.
 
Fedora 25 has now been rebased to 4.9.3-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.
 
If you experience different issues, please open a new bug report for those.
Comment 6 LiuYan 2017-02-08 14:14:12 EST
Yes, issue still existed in Fedora 25.

I found a similar bug in launchpad.


Here's what I found in RED background in `vim /var/log/messages` when first suspend time

------------------
21662 Feb  9 11:08:17 tx300 kernel: PM: Device 0000:00:14.0 failed to suspend async: error -16
21663 Feb  9 11:08:17 tx300 kernel: PM: Some devices failed to suspend, or early wake event detected
------------------


And 0000:00:14.0 device (`lspci -v`) is a USB xHCI Host Controller.
------------------
00:14.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller (rev 04) (prog-if 30 [XHCI])
	Subsystem: ASUSTeK Computer Inc. Device 15b7
	Flags: bus master, medium devsel, latency 0, IRQ 27
	Memory at f7d00000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: [70] Power Management version 2
	Capabilities: [80] MSI: Enable+ Count=1/8 Maskable- 64bit+
	Kernel driver in use: xhci_hcd
------------------
Comment 7 Justin M. Forbes 2017-04-11 10:56:35 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.
Comment 8 LiuYan 2017-04-11 13:49:45 EDT
Upgraded to Fedora 26 Alpha, issue still exist.
kernel version:  4.11.0-0.rc6.git0.1.fc26.x86_64

Note You need to log in before you can comment on or make changes to this bug.